The test for glib_major_version in patch/build 3.3.3.svn.5188 appears to be backwards.

!glib_major_version < 2 always fails for glib 2.0+ (2.34 in my case)

I think this fixes it.
...